aboutsummaryrefslogtreecommitdiffstats
path: root/config/hooks
diff options
context:
space:
mode:
authorficus <ficus@robocracy.org>2012-11-22 02:16:55 +0100
committerficus <ficus@robocracy.org>2012-11-22 02:16:55 +0100
commit82197781bd1bd73feb082217ef3af8acede8152f (patch)
treec9affe34ca570ac3aec85ae7f3831c85617f76cd /config/hooks
parentc5126b9f9027fb3a63f9a4c9883356799ce14506 (diff)
downloadtorouter-live-82197781bd1bd73feb082217ef3af8acede8152f.tar.gz
torouter-live-82197781bd1bd73feb082217ef3af8acede8152f.zip
horrible uap kernel module hack (dreamplug)
Diffstat (limited to 'config/hooks')
-rwxr-xr-xconfig/hooks/uap-driver.sh.chroot13
1 files changed, 13 insertions, 0 deletions
diff --git a/config/hooks/uap-driver.sh.chroot b/config/hooks/uap-driver.sh.chroot
new file mode 100755
index 0000000..dc2e379
--- /dev/null
+++ b/config/hooks/uap-driver.sh.chroot
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -e
+
+echo "Determining kernel version..."
+cd /boot
+KERNELVERSION=`ls vmlinuz-* | sed "s/vmlinuz-//g"`
+echo $KERNELVERSION
+
+echo "Installing uap8xxx.ko Marvell WiFi kernel module..."
+mkdir -p /lib/modules/$KERNELVERSION/kernel/drivers/net/wireless/libertas_uap
+mv /tmp/uap8xxx.ko-$KERNELVERSION /lib/modules/$KERNELVERSION/kernel/drivers/net/wireless/libertas_uap/uap8xxx.ko
+depmod -a